import javax.swing.*;
public class SimpleFrame2{
  public static void main(String[] args) {
    JFrame jFrame=new JFrame("Hello");
    JButton jButton = new JButton("Swing Button");

    // 创建一个快捷键: 用户按下Alt-i键等价于点击该Button
    jButton.setMnemonic('i');

    //设置鼠标移动到该Button时的提示信息
    jButton.setToolTipText("Press me");

    jFrame.add(jButton);

    //当用户选择JFrame的关闭图标，将结束程序
    jFrame.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);

    jFrame.pack();
    jFrame.setVisible(true);
  }
}

/****************************************************
 * 作者：孙卫琴                                     *
 * 来源：<<Java面向对象编程>>                       *
 * 技术支持网址：www.javathinker.net                *
 ***************************************************/
